store-cart-items-get-many¶
Source¶
Repository:
jef-systems/jef-store-backendSource Run ID:
25333167796Source SHA:
69cb846339fa14db005aec45414a4a94ec2a821eModule:
storeDocumentation Scope:
getLambda:
jef-store-get-10
Endpoint¶
API Name:
jef-storeAction Name:
getMethod:
GETScope Label:
GETResource Path:
/store-cart-items-get-manyComplete Endpoint:
https://rw53l0a90m.execute-api.ap-southeast-1.amazonaws.com/prod/store-cart-items-get-manyLambda ARN:
arn:aws:lambda:ap-southeast-1:246715082475:function:jef-store-get-10curl payload mode:
query_string
API Gateway Description¶
Function: jef-store-get-10
API Name: jef-store
Action: get
Method: GET
Resource Path: /store-cart-items-get-many
Table:
- table: jef-store-cart-items
- operation: get-many
Payload Schema:
- gsi_1_pk: cart_id
Payload Example:
- gsi_1_pk: cart-1001-0001
Response Schema:
- exists: boolean
- message: string
- items: [{"cart_item_id":"string","cart_id":"string","entity_number":"string","product_number":"string","sku":"string","product_name":"string","unit_price":"number","quantity":"number","stock_quantity_snapshot":"number","line_total":"number","is_selected":"boolean","is_active":"boolean","is_deleted":"boolean","deleted_at":"string","created_at":"string","updated_at":"string","idempotency_key":"string","schema_version":"number","version":"number"}]
Request Payload¶
{
"gsi_1_pk": "cart_id"
}
Response¶
{
"exists": "boolean",
"message": "string",
"items": "[{\"cart_item_id\":\"string\",\"cart_id\":\"string\",\"entity_number\":\"string\",\"product_number\":\"string\",\"sku\":\"string\",\"product_name\":\"string\",\"unit_price\":\"number\",\"quantity\":\"number\",\"stock_quantity_snapshot\":\"number\",\"line_total\":\"number\",\"is_selected\":\"boolean\",\"is_active\":\"boolean\",\"is_deleted\":\"boolean\",\"deleted_at\":\"string\",\"created_at\":\"string\",\"updated_at\":\"string\",\"idempotency_key\":\"string\",\"schema_version\":\"number\",\"version\":\"number\"}]"
}
CMD curl¶
curl "https://rw53l0a90m.execute-api.ap-southeast-1.amazonaws.com/prod/store-cart-items-get-many?gsi_1_pk=cart-1001-0001"
PowerShell curl¶
curl.exe "https://rw53l0a90m.execute-api.ap-southeast-1.amazonaws.com/prod/store-cart-items-get-many?gsi_1_pk=cart-1001-0001"